Description

Hallo Katja,

Dann etwas flr den Release, wenn’s geht:

Ich verwende die SimpleFact Tabelle im weiteren Verlauf des Programms um die Angaben aus den anderen Faktentabellen zu
aggregieren. Gleichzeitig habe ich eine Routine, die leere .csv Tabellen nicht importiert (das erspart mir eine Reihe von
Folgeproblemen). SimpleFact muss aber importiert werden, sollte also mindestens einen Datenrecord aufweisen, der auf eine giltige
Taxon_ID verweist. Genau da liegt ein Problem fiir mich, da ich die in Access erst habe, wenn ich den .csv Import schon gemacht
habe — ich kann diesen (Text-Record) also nicht einfach selbst schreiben.

Konntest Du (entweder nur bei leerer SimpleFact.csv oder auch ganz generell, wenn das einfacher ist) einen Record schreiben, der
auf die Root-Taxon_ID verweist?

"Fact_ID","Taxon_Fk","FactText","Language","MediaURI","FactCategory"
llll,llll,llDummyll,llll,llll,llDummyll

Herzlichen Gruf3
Walter

Associated revisions

Revision caa17126 - 07/01/2019 01:43 PM - Katja Luther
ref #8344: add dummy line in empty simple facts table

History

#1 - 07/19/2019 03:04 PM - Andreas Miiller

- Status changed from New to In Progress

is this fixed already? Please move to 5.10 if not

#2 - 07/31/2019 10:27 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

this is already implemented.

#3 - 08/30/2019 02:37 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 80

| have no time to review this. But | remember a discussion with WGB where he complaint that the line endings are linux line endings which creates
problems with VBA. So maybe we can make the line endings configurable for CDM light in general.

This might be a new ticket. If you and Walter think that this is fixed you may close the ticket.

#4 - 03/04/2022 04:50 PM - Andreas Miuller

- Subject changed from cdm light export: add dummy line in simpla facts table to Cdm light export: add dummy line in simple facts table
#5 - 03/17/2022 11:27 AM - Katja Luther
- Status changed from Feedback to Closed
